## Interface Swift_Mime_HeaderFactory

(line 19)

## Description

    Swift_Mime_CharsetObserver
       |
       --Swift_Mime_HeaderFactory

Located in File: /vendors/swiftMailer/classes/Swift/Mime/HeaderFactory.php

##### Creates MIME headers.

- author: - Chris Corbyn

## Class Variables

Summary:

## Class Constants

Summary:

## Method Detail

Summary:
Swift_Mime_Header createDateHeader (string $name, [int $timestamp = null])
Swift_Mime_Header createIdHeader (string $name, [string|array $ids = null])
Swift_Mime_Header createMailboxHeader (string $name, [array|string $addresses = null])
Swift_Mime_ParameterizedHeader createParameterizedHeader (string $name, [string $value = null], [array $params = array()])
Swift_Mime_Header createPathHeader (string $name, [string $path = null])
Swift_Mime_Header createTextHeader (string $name, [string $value = null])

#### Method createDateHeader (line 36)

#### Swift_Mime_Header createDateHeader( string $name, [int $timestamp = null])

##### Create a new Date header using $timestamp (UNIX time).

#### Parameters

- string $name:
- int $timestamp:

#### Info

- access - public

#### Method createIdHeader (line 62)

#### Swift_Mime_Header createIdHeader( string $name, [string|array $ids = null])

##### Create a new ID header for Message-ID or Content-ID.

#### Parameters

- string $name:
- string|array $ids:

#### Info

- access - public

#### Method createMailboxHeader (line 28)

#### Swift_Mime_Header createMailboxHeader( string $name, [array|string $addresses = null])

##### Create a new Mailbox Header with a list of $addresses.

#### Parameters

- string $name:
- array|string $addresses:

#### Info

- access - public

#### Method createParameterizedHeader (line 53)

#### Swift_Mime_ParameterizedHeader createParameterizedHeader( string $name, [string $value = null], [array $params = array()])

##### Create a new ParameterizedHeader with $name, $value and $params.

#### Parameters

- string $name:
- string $value:
- array $params:

#### Info

- access - public

#### Method createPathHeader (line 70)

#### Swift_Mime_Header createPathHeader( string $name, [string $path = null])

##### Create a new Path header with an address (path) in it.

#### Parameters

- string $name:
- string $path:

#### Info

- access - public

#### Method createTextHeader (line 44)

#### Swift_Mime_Header createTextHeader( string $name, [string $value = null])

##### Create a new basic text header with $name and $value.

#### Parameters

- string $name:
- string $value:

#### Info

- access - public

## Inherited Variables

### Inherited Class Variable Summary

## Inherited Methods

### Inherited Method Summary

#### Inherited From Class Swift_Mime_CharsetObserver

#### Swift_Mime_CharsetObserver::charsetChanged() - Notify this observer that the entity's charset has changed.

Documentation generated on Fri, 12 Nov 2010 20:45:22 +0000 by phpDocumentor 1.4.3